; R8C/Tiny Family Register Definition File
;
; Copyright(C) 2003 Renesas Technology Corp. and Renesas Soltions Corp.
; All rights reserved.
;
; V1.00.00
; for R8C/11

[Modules]
BaseAddress=0x0
Module1=Power source detection
Module2=Clock Controller
Module3=Protect Controller
Module4=Processor Mode
Module5=Interrupt Controller
Module6=INT Interrupt Controller
Module7=KEY Interrupt Controller
Module8=Address Break Controller
Module9=Watchdog Timer
Module10=Timer X
Module11=Timer Y
Module12=Timer Z
Module13=Timer C
Module14=Serial I/O Interface
Module15=A/D Converter
Module16=I/O Ports
Module17=Flash Memory Controller

[Power source detection]
VCR1=0x0019 B A
VCR2=0x001A B A
D4INT=0x001F B A

[Clock Controller]
CM0=0x0006 B A
CM1=0x0007 B A
OCD=0x000C B A
HR0=0x0008 B A
HR1=0x000B B A

[Protect Controller]
PRCR=0x000A B A

[Processor Mode]
PM0=0x0004 B A
PM1=0x0005 B A

[Interrupt Controller]
KUPIC=0x004D B A
ADIC=0x004E B A
CMP2IC=0x0050 B A
S0TIC=0x0051 B A
S1TIC=0x0053 B A
S0RIC=0x0052 B A
S1RIC=0x0054 B A
INT2IC=0x0055 B A
TXIC=0x0056 B A
TYIC=0x0057 B A
TZIC=0x0058 B A
INT1IC=0x0059 B A
INT3IC=0x005A B A
TCIC=0x005B B A
CMP1IC=0x005C B A
INT0IC=0x005D B A

[INT Interrupt Controller]
INTEN=0x0096 B A
INT0F=0x001E B A
TXMR=0x008B B A
TYZMR=0x0080 B A
TCC0=0x009A B A
TCC1=0x009B B A

[KEY Interrupt Controller]
KIEN=0x0098 B A

[Address Break Controller]
AIER=0x0009 B A
RMAD0=0x0010 L A
RMAD1=0x0014 L A

[Watchdog Timer]
WDC=0x000F B A
WDTR=0x000D B A
WDTS=0x000E B A

[Timer X]
TXMR=0x008B B A
PREX=0x008C B A
TX=0x008D B A
TCSS=0x008E B A

[Timer Y]
TYZMR=0x0080 B A
PREY=0x0081 B A
TYSC=0x0082 B A
TYPR=0x0083 B A
TYZOC=0x008A B A
PUM=0x0084 B A
TCSS=0x008E B A

[Timer Z]
TYZMR=0x0080 B A
PREZ=0x0085 B A
TZSC=0x0086 B A
TZPR=0x0087 B A
TYZOC=0x008A B A
PUM=0x0084 B A
TCSS=0x008E B A

[Timer C]
TC=0x0090 W A
TM0=0x009C W A
TM1=0x009E W A
TCC0=0x009A B A
TCC1=0x009B B A
TCOUT=0x00FF B A

[Serial I/O Interface]
U0TB=0x00A2 W A
U1TB=0x00AA W A
U0RB=0x00A6 W A
U1RB=0x00AE W A
U0BRG=0x00A1 B A
U1BRG=0x00A9 B A
U0MR=0x00A0 B A
U1MR=0x00A8 B A
U0C0=0x00A4 B A
U1C0=0x00AC B A
U0C1=0x00A5 B A
U1C1=0x00AD B A
UCON=0x00B0 B A

[A/D Converter]
ADCON0=0x00D6 B A
ADCON1=0x00D7 B A
ADCON2=0x00D4 B A
AD=0x00C0 W A

[I/O Ports]
PD0=0x00E2 B A
PD1=0x00E3 B A
PD3=0x00E7 B A
PD4=0x00EA B A
P0=0x00E0 B A
P1=0x00E1 B A
P3=0x00E5 B A
P4=0x00E8 B A
PUR0=0x00FC B A
PUR1=0x00FD B A
DRR=0x00FE B A

[Flash Memory Controller]
FMR0=0x01B7 B A
FMR1=0x01B5 B A
FMR4=0x01B3 B A
;ID0=0xFFDF B A
;ID1=0xFFE3 B A
;ID2=0xFFEB B A
;ID3=0xFFEF B A
;ID4=0xFFF3 B A
;ID5=0xFFF7 B A
;ID6=0xFFFB B A

